> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Members

> Lists all members for the current shop

<Note>
  **OAuth scope:** `memberships_read`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml GET /open-api/v1.0/memberships/members
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/memberships/members:
    get:
      tags:
        - 'BETA: Memberships'
      summary: List members
      description: Lists all members for the current shop
      operationId: list-members
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            format: int32
            default: 0
          example: 0
        - name: size
          in: query
          required: false
          schema:
            type: integer
            format: int32
            default: 20
          example: 5
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.OpenApiPageResponseCom.fourthwall.openapi.model.MembershipSupporterV1
      security:
        - oauth:
            - memberships_read
        - basicAuth: []
      externalDocs:
        url: >-
          https://docs.fourthwall.com/api-reference/platform/memberships/list-members
components:
  schemas:
    com.fourthwall.openapi.model.OpenApiPageResponseCom.fourthwall.openapi.model.MembershipSupporterV1:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.MembershipSupporterV1
        total:
          type: integer
          format: int32
        page:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        totalPages:
          type: integer
          format: int32
      required:
        - results
      title: Membership Supporter
    com.fourthwall.openapi.model.MembershipSupporterV1:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
          example: supporter@fourthwall.com
        nickname:
          type: string
        createdAt:
          type: string
          format: date-time
          example: '2020-08-13T09:05:36.939Z'
        subscription:
          oneOf:
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.MembershipSupporterV1.Subscription.Active
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.MembershipSupporterV1.Subscription.Cancelled
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.MembershipSupporterV1.Subscription.None
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.MembershipSupporterV1.Subscription.Suspended
      required:
        - createdAt
        - email
        - id
        - nickname
        - subscription
      title: Membership Supporter
    com.fourthwall.openapi.model.MembershipSupporterV1.Subscription.Active:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.MembershipSupporterV1.Subscription
        - type: object
          properties:
            variant:
              $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.MembershipTierVariantV1
        - type: object
          properties:
            type:
              type: string
              const: ACTIVE
      required:
        - variant
      title: Active
    com.fourthwall.openapi.model.MembershipSupporterV1.Subscription.Cancelled:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.MembershipSupporterV1.Subscription
        - type: object
          properties:
            variant:
              $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.MembershipTierVariantV1
        - type: object
          properties:
            type:
              type: string
              const: CANCELLED
      required:
        - variant
      title: Cancelled
    com.fourthwall.openapi.model.MembershipSupporterV1.Subscription.None:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.MembershipSupporterV1.Subscription
        - type: object
          properties:
            type:
              type: string
              const: NONE
      title: None
    com.fourthwall.openapi.model.MembershipSupporterV1.Subscription.Suspended:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.MembershipSupporterV1.Subscription
        - type: object
          properties:
            variant:
              $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.MembershipTierVariantV1
        - type: object
          properties:
            type:
              type: string
              const: SUSPENDED
      required:
        - variant
      title: Suspended
    com.fourthwall.openapi.model.MembershipSupporterV1.Subscription:
      discriminator:
        propertyName: type
        mapping:
          ACTIVE:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.MembershipSupporterV1.Subscription.Active
          CANCELLED:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.MembershipSupporterV1.Subscription.Cancelled
          SUSPENDED:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.MembershipSupporterV1.Subscription.Suspended
          NONE:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.MembershipSupporterV1.Subscription.None
      properties:
        type:
          type: string
      required:
        - type
      title: Subscription
    com.fourthwall.openapi.model.MembershipTierVariantV1:
      type: object
      properties:
        id:
          type: string
        tierId:
          type: string
        interval:
          type: string
          enum:
            - ANNUAL
            - MONTHLY
        amount:
          $ref: '#/components/schemas/Money'
        offerId:
          type: string
      required:
        - amount
        - id
        - interval
        - tierId
      title: Membership Tier Variant
    Money:
      type: object
      properties:
        value:
          type: number
          example: 10
          minimum: 0
        currency:
          type: string
          example: USD
      required:
        - currency
        - value
      title: Money
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            donation_read: donation_read
            order_read: order_read
            order_write: order_write
            fulfillment_write: fulfillment_write
            giveaway_read: giveaway_read
            giveaway_write: giveaway_write
            memberships_read: memberships_read
            memberships_write: memberships_write
            promotions_write: promotions_write
            promotions_read: promotions_read
            offer_read: offer_read
            offer_write: offer_write
            shop_read: shop_read
            thankyou_read: thankyou_read
            thankyou_write: thankyou_write
            webhook_read: webhook_read
            webhook_write: webhook_write
            media_read: media_read
            media_write: media_write
            analytics_read: analytics_read
            samples_read: samples_read
            samples_write: samples_write
            dns_read: dns_read
            dns_write: dns_write
            settings_read: settings_read
            payout_read: payout_read
            integrations_read: integrations_read
    basicAuth:
      type: http
      scheme: basic

````